Filters.FilterElement (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.sitraka.Filters.FilterElement class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.sitraka
Class Filters.FilterElement

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.sitraka.Filters.FilterElement

Direct Known Subclasses:
  Filters.Exclude, Filters.Include

Enclosing class:
  Filters

public abstract static class Filters.FilterElement
extends java.lang.Object

an includes or excludes element

Field Summary
`protected java.lang.String` | `clazz`
`protected boolean` | `enabled`
`protected java.lang.String` | `method`

Constructor Summary
`Filters.FilterElement()`

Method Summary
`void` | `setClass(java.lang.String value)` The classname mask as a simple regular expression; optional, defaults to "*"
`void` | `setEnabled(boolean value)` enable or disable the filter; optional, default true
`void` | `setMethod(java.lang.String value)` The method mask as a simple regular expression; optional, defaults to "*"
`void` | `setName(java.lang.String value)` this one is deprecated.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### clazz

    protected java.lang.String clazz

### method

    protected java.lang.String method

### enabled

    protected boolean enabled

Constructor Detail

### Filters.FilterElement

    public Filters.FilterElement()

Method Detail

### setName

    public void setName(java.lang.String value)

  this one is deprecated.

### setClass

    public void setClass(java.lang.String value)

  The classname mask as a simple regular expression; optional, defaults to "*"

### setMethod

    public void setMethod(java.lang.String value)

  The method mask as a simple regular expression; optional, defaults to "*"

### setEnabled

    public void setEnabled(boolean value)

  enable or disable the filter; optional, default true

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.